[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Graphics' (#lcl)

# TRegionData

The Data about the current Region on the Screen or Canvas

## Declaration

Source position: graphics.pp line 698

`type TRegionData = record`
`Reference: TWSRegionReference;` |  | A Reference made to the current Region
`Rect: TRect;` |  |
`Polygon: PPoint;` |  | Polygon - a list of points defining a polygon
`NumPoints: LongInt;` |  | NumPoints - the number of points in the polygon list
`Winding: Boolean;` |  | If True, use Winding mode to construct the Polygon
`end;`

## Description

At present the Region can only be rectangular; the ability to define it as a Polygon is not yet implemented

The latest version of this document can be found at lazarus-ccr.sourceforge.net.